.form-container {
    background-color: #F5F5F5;
    border-radius: 10px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
    margin: 15px 0;
    padding: 30px;
    width: 100%;
}

.form-container h2 {
    color: #34495e;
    font-size: 24px;
    margin-bottom: 20px;
}

.form-group input,
.form-group select {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 16px;
    padding: 10px;
    width: 100%;
}

.form-group button {
    background-color: #5a67d8;
    border: none;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    font-size: 14px; /* Smaller font size for the button */
    font-weight: 600;
    padding: 8px 16px; /* Smaller padding for the button */
    transition: background-color 0.3s;
    width: 100%; /* Auto width for the button */
}

.form-group button:hover {
    background-color: #434190;
}

.form-group #infoButton,
.form-group #copyContentButton,
.form-group #shareButton {
    background-color: white;
    border: #5a67d8 1px solid;
    border-radius: 5px;
    color: #5a67d8;
    cursor: pointer;
    font-size: 14px; /* Smaller font size for the button */
    font-weight: 600;
    padding: 8px 16px; /* Smaller padding for the button */
    transition: background-color 0.3s;
    width: 100%; /* Auto width for the button */
}

.form-group #infoButton:hover,
.form-group #copyContentButton:hover,
.form-group #shareButton:hover {
    background-color: #5a67d8 !important;
    color: white;
}

.form-group label {
    font-weight: 500;
    margin-bottom: 10px;
    width: 100%;
}

@media (min-width: 576px) {
    .form-group label {
        width: auto;
        margin-right: 10px; /* Margin on larger screens */
        margin-bottom: 0; /* Remove bottom margin on larger screens */
    }
}

.title-container {
    margin: 20px 0;
    text-align: center;
}

.title-container h1 {
    color: #34495e;
    font-size: 28px;
    margin: 0;
}

.title-container h2 {
    color: #7f8c8d;
    font-size: 18px;
    margin: 5px 0 20px 0;
}

.title {
    font-size: 28px;
    font-weight: 600;
    color: #34495e;
    text-align: center;
    margin-bottom: 30px;
}


#questionaire_dropdown_id {
    margin: 0 0 15px 0;
    padding: 10px;
    border-radius: 5px;
}


.modal-header {
    border-bottom: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-title {
    font-size: 18px;
    font-weight: bold;
}

.close {
    font-size: 24px;
}

.modal-body .form-group {
    margin-bottom: 1.5rem;
}

.form-control {
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}

.modal-footer {
    border-top: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.legend-container {
    font-size: 14px;
}

.section {
    margin-top: 20px;
}

ul {
    list-style: none;
    padding: 0;
}

h5 {
    border-bottom: 1px solid rgba(23, 162, 184, 0.5);
}

ul li {
    background: rgba(23, 162, 184, 0.2);
    margin: 5px 0;
    padding: 10px;
    border-radius: 4px;
}

ul ul {
    margin-left: 20px;
}

ul ul li {
    background: #f0f0f0;
}